# Class PutWriter

java.lang.Object
org.apache.jmeter.protocol.http.sampler.PostWriter
org.apache.jmeter.protocol.http.sampler.PutWriter

public class PutWriter extends PostWriter
Class for setting the necessary headers for a PUT request, and sending the body of the PUT.

## Field Summary

### Fields inherited from class PostWriter

`BOUNDARY, ENCODING, formDataPostBody, formDataUrlEncoded`

## Constructor Summary

Constructors
Constructor
Description
`PutWriter()`
Constructor for PutWriter.

## Method Summary

Modifier and Type
Method
Description
`void`
`setHeaders(URLConnection connection, HTTPSamplerBase sampler)`

### Methods inherited from class PostWriter

`getBoundary, sendPostData`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PutWriter

public PutWriter()
Constructor for PutWriter.

## Method Details

### setHeaders

public void setHeaders(URLConnection connection, HTTPSamplerBase sampler) throws IOException

Overrides:
  `setHeaders` in class `PostWriter`
Throws:
  `IOException`